*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family:Nunito ;
}

:root{
    --first-color:#E8F4F8;
    --second-color:#AED9E0;
    --third-color:#5DADE2;
    --forth-color:#2980B9;
    --fifth-color:#1b4f72ab;
    --sixth-color:#2B2D42;
    --seventh-color:#0A9396;
    --eigth-color:#639c75;
}

html, body{
    overflow-x: hidden;
}

main{
    height: 100vh;
    width: 100vw;
}

header{
    display: flex;
    flex-direction: column;
    height: 100vh;
    align-items: center;
    gap: 35px;
    color: var(--first-color);
    background-color: #6092b389;
    
}

header img{
    padding-top:50px;
    width: 200px;
    
}

header h1{
    max-width: 650px;
    text-align: center;
    text-shadow: 0 5px 2px rgba(15, 44, 89, 0.15);
    
}

button{
    height: 50px;
    width: 40%;
    font-family: Nunito;
    text-transform: uppercase;
    font-size: 25px;
    font-weight: 700;
    margin-top: 50px;
    border-radius: 15px;
    border: none;
    background: radial-gradient(circle,rgba(55, 84, 21, 1) 0%, rgba(69, 112, 40, 1) 51%, rgb(135, 192, 69) 100%);
    color: var(--first-color);
    box-shadow: 4px 4px 2px 2px var(--sixth-color);
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.video-container{
    position: fixed;
    width: 100vw;
    height: 100vh;
    top: 0;
    left: 0;
    z-index: -2;
    overflow: hidden;
}

video{
    width: 100vw;
    height: 100vh;
    object-fit: cover;
    
}

.video-mask{
    background: radial-gradient(circle,rgba(2, 0, 36, 0.493) 0%, rgba(9, 9, 121, 0.532) 35%, rgba(0, 213, 255, 0.603) 100%);
    height: 100vh;
    width: 100vw;
    position: fixed;
    top: 0;
}


.about-text button{
    font-size: 20px;
    width: 100%;
}

header button:hover ,.about-text button:hover{
    transform: scale(1.05);
}

/*Section Sobre Mim*/

.about-section{
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    justify-content: center;
    padding: 30px;
    gap: 25px;
    background-color: var(--second-color);
    
}

.about-section button{
    width: 50%;
    align-self: center;
}

.about-section img{
    width: 200px;
}

.about-section .about-text{
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: 18px;
    padding-left: 20px;
    width: 60%;
    
}

.about-text h2{
    font-size: 36px;
    margin-bottom: 30px;

}

/*Section Revelations*/

.tech-section{
    background-color: var(--fifth-color);
    color: var(--first-color);
}

.tech-section h2, .services-section h2{
    font-size: 36px;
    text-align: center;
    padding-top: 30px;
    margin-bottom: 30px;

}

.tech-text{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 50px;
}

.tech-p{
    font-size: 20px;
    width: 35%;
}

.revelation-container{
    display: flex;
    flex-direction: column;
    gap: 15px;
    width: 35%;
    margin-bottom: 30px;
}

.revelation{
    display: flex;
    align-items: center;
    gap: 15px;
    font-size: 18px;
    color: #2c2c2c;
    box-shadow: 4px 4px 2px 2px;
    background-color: var(--second-color);
    padding: 15px;
    border-radius: 15px;
    transition: 0.2s ease-in-out;

}

.icon{
    width: 32px;
    height: 32px;
}

.services-section{
    background-color: var(--second-color);
    height: auto;
    padding-bottom: 30px;
}



.services-container{
    display: flex;
    align-items: center;
    justify-content: space-around;
    height: 80%;
}

.services-item{
    box-shadow: 4px 4px 2px 2px #2c2c2c;
    padding: 20px;
    text-align: center;
    width: 20%;
    height: 80%;
    background-color: var(--third-color);
    color: var(--first-color);
    border-radius: 15px;
    transition: 0.2s ease-in-out;
}



.services-item img{
    width: 60px;
    margin-bottom: 20px;
}

.services-item h3{
    font-size: 28px;
    margin-bottom: 50px;
}

.services-item p{
    font-size: 18px;
}

footer{
    padding: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 50px;
    background-color: #5dade2bf;
}

footer img{
    width: 200px;
}

footer .contacts h3{
    font-size: 28px;
}

/*Fade in Animation*/

.reveal{
    opacity: 0;
    transition: all 0.8s ease-out;
}

.reveal-left{
    transform: translateX(-40px);
}

.reveal-right{
    transform: translateX(40px);
}

.reveal-down{
    transform: translateY(40px);
}

.reveal.active{
    opacity: 1;
    transform: translateY(0);

}

.reveal:nth-child(2){transition-delay: 0.2s;}
.reveal:nth-child(3){transition-delay: 0.4s;}
.reveal:nth-child(4){transition-delay: 0.6s;}




@media (max-width: 1280px){

}

@media (max-width: 1024px){


    header button{
        width: 60%;
        
    }


    .revelation-container{
        width: 70%;
    }

    .revelation{
        font-size: 18px;
    }

}

@media (max-width: 830px){

    .services-container{
        flex-direction: column;
        gap: 30px;
    }

    .services-item{
        width: 70%;
        height: 30%;
    }

    .tech-text{
        flex-direction: column;
    }

    .services-item img {
            margin-bottom: 10px;
        }
    
    .services-item h3 {
            font-size: 28px;
            margin-bottom: 35px;
        }
    
    .services-item p {
            font-size: 22px;
        }
    

}

@media (max-width: 768px) {

    header button{
        width: 80%;
    }

    .about-section{
        flex-direction: column;
    }

    .about-section .about-text{
        padding: 0;
        text-align: center;
        width: 80%;
    }

    .tech-p{
        width: 70%;
    }

    .tech-text{
        flex-direction: column;
    }

    .revelation-container{
        width: 70%;
    }

    .revelation{
        font-size: 18px;
    }

    .services-container{
        flex-direction: column;
        gap: 30px;
    }

    .services-item{
        width: 70%;
        height: 30%;
    }

    .services-item img {
            margin-bottom: 10px;
        }
    
    .services-item h3 {
            font-size: 28px;
            margin-bottom: 35px;
        }
    
    .services-item p {
            font-size: 22px;
        }


    
}

@media (max-width:545px){

    footer{
        flex-direction: column;
    }
    footer img{
        display: none;
    }

}

@media(max-width:460px){

    header button{
        font-size: 20px;
    }

}